Bug Hunting Session
Bug 54661 - conditional format: Color scales are not printed or previewed
Summary: conditional format: Color scales are not printed or previewed
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:3.7.0 target:3.6.2
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-08 06:36 UTC by pierre-yves samyn
Modified: 2012-09-30 09:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document (7.99 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-09-08 06:36 UTC, pierre-yves samyn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2012-09-08 06:36:45 UTC
Created attachment 66825 [details]
Sample document

Hello

Steps to reproduce:
1. Open attached spreadsheet (colors scales defined to A1:A10)
2. File> Page Preview

Expected result: preview of Sheet1 with the colors
Acutal result: no color scales.

Same with File> Print

3. Select C3 (for example)
4. Format> Cells> Background> select one color (blue for example), then Ok
5. File> Page Preview

Expected result: preview of Sheet1 with the colors
Acutal result: colors only for A3 (color scale) and C3 (manual)


Platform : 
Version 3.6.1.2 (Build ID: e29a214) & Windows 7 64bits

Reproduced (fr-discuss) with same build with Vista and W7

Regards
Pierre-Yves
Comment 1 Markus Mohrhard 2012-09-09 23:40:23 UTC
Making it findable in my conditional format list where I track conditional format bugs.
Comment 2 Not Assigned 2012-09-18 17:39:39 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=52031d3135b4f06bb7b33cfce84a58eec426731a

rows with cond formats don't have empty background, fdo#54661, fdo#52535



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2012-09-18 19:14:26 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e80b2d5d6caf50f9c7f48e1b532e7d6fddeb4e45&g=libreoffice-3-6

rows with cond formats don't have empty background, fdo#54661, fdo#52535


It will be available in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2012-09-21 13:50:01 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6fda5d42a4f4a7ff15e86d70a3c4b80106fab373&g=libreoffice-3-6-2

rows with cond formats don't have empty background, fdo#54661, fdo#52535


It will be available already in LibreOffice 3.6.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 pierre-yves samyn 2012-09-30 09:28:07 UTC
WORKSFORME with Version 3.6.2.2 (Build ID: da8c1e6) & Windows 7 64bits

Thank you :)

Regards
Pierre-Yves